Page MenuHomePhabricator

Install translate extension in bd.wikimedia.org
Closed, ResolvedPublic

Description

Hi, please install, configure and enable the Translate Extension and any related features to the Wikimedia Bangladesh's chapter wiki. Source language should be configured as 'bn' (Bengali). Thanks.

Chapter policy: https://bd.wikimedia.org/s/yg

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable translate extension in bdwikimedia

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2018, 7:02 AM
Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptMar 4 2018, 9:07 AM

Change 416338 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[operations/mediawiki-config@master] Enable translate extension in bdwikimedia

https://gerrit.wikimedia.org/r/416338

MarcoAurelio added a subscriber: MarcoAurelio.

You also need to have an op run on terbium or wasat the following:

mwscript extensions/WikimediaMaintenance/createExtensionTables.php --wiki=bdwikimedia translate

because the extension needs to have some extra tables before it can work.

I'll note the same on the patch.

Mentioned in SAL (#wikimedia-operations) [2018-03-05T14:11:32Z] <hashar> mwscript extensions/WikimediaMaintenance/createExtensionTables.php --wiki=bdwikimedia translate # T188853

Change 416338 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable translate extension in bdwikimedia

https://gerrit.wikimedia.org/r/416338

Mentioned in SAL (#wikimedia-operations) [2018-03-05T14:48:34Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Enable translate extension in bdwikimedia - T188853 (duration: 00m 57s)

Jayprakash12345 closed this task as Resolved.Mar 5 2018, 2:49 PM

Mentioned in SAL (#wikimedia-operations) [2018-03-05T14:52:24Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Enable translate extension in bdwikimedia - T188853 (duration: 00m 57s)

MarcoAurelio added a comment.EditedMar 5 2018, 5:46 PM

Checked ListGroupRights and tested the feature locally and it works. I however cannot see the translation tables created using MariaDB [bdwikimedia_p]> show tables;. I checked with a DBA however and they're there.